# Разработка ПО систем управления

[Необходимые программы.](tools)

## Лекции

1. [Основы языка C++](lectures/lecture01)
2. [Системы контроля версий](lectures/lecture02)
3. Структурирование кода и данных (функции, указатели)
4. Сборка программ из нескольких файлов
5. Ввод-вывод, модульное тестирование
6. Библиотеки
7. Низкоуровневое программирование
8. Объектно-ориентированное программирование

## Лабораторные работы

1. [Основы языка C++](labs/lab01)
2. [Система контроля версий Git](labs/lab02)
3. [Структурирование программ](labs/lab03)
4. Использование библиотек

## Ресурсы

### C++

#### Книги

* Харви Дейтел, Пол Дейтел. [Как программировать на C++][deitel-cpp]
* Харви Дейтел, Пол Дейтел. [Как программировать на C][deitel-c]
    (их больше в библиотеке)
* Страуструп Б. Программирование: принципы и практика использования C++ =
    Bjarne Stroustrup. Programming: Principles and Practices Using C++

[deitel-c]: http://opac.mpei.ru/OpacUnicode/app/webroot/index.php?url=/notices/index/195855/default/302191
[deitel-cpp]: http://opac.mpei.ru/OpacUnicode/app/webroot/index.php?url=/notices/index/19416/default/302191

#### Ссылки

* <http://cppreference.com> — справочник.
* [Конспект лекций по C и C++](http://natalia.appmat.ru/c&c++/)
    Натальи Владимировны Чибизовой, кафедра ПМ.

### Git

* [Pro Git](http://git-scm.com/book/ru)
* [Тренажёр-самоучитель](https://learngitbranching.js.org/?locale=ru_RU)

## Преподаватели

* [Козлюк Дмитрий Александрович](mailto:KozliukDA@mpei.ru) — лектор
* Филатов Сергей Александрович
* Прокопенко Сергей Александрович
